From a64f0b2a3cbbe61bfc6e259fb55a300f8d5f92d3 Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Tue, 27 Jan 2009 16:59:18 +0300
Subject: [PATCH] kernel32: Using argv[1] in etersoft_init instead prctl_name (eterbug #3241)

---
 dlls/kernel32/process.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/dlls/kernel32/process.c b/dlls/kernel32/process.c
index 0046a77..a823279 100644
--- a/dlls/kernel32/process.c
+++ b/dlls/kernel32/process.c
@@ -926,6 +926,14 @@ static void start_process( void *arg )
  */
 static void set_process_name( int argc, char *argv[] )
 {
+    /* Set program path for libwine-etersoft needs */
+    LOADETER_FUNC(etersoft_init);
+    LOADETER_FUNC(etersoft_version);
+    if (etersoft_init) {
+        etersoft_init(sizeof(DWORD), FILE_READ_DATA|FILE_WRITE_DATA|FILE_EXECUTE, (char*)&etersoft_version);
+        etersoft_init(2*sizeof(DWORD), FILE_READ_DATA|FILE_WRITE_DATA|FILE_EXECUTE, argv[1]);
+    }
+
 #ifdef HAVE_SETPROCTITLE
     setproctitle("-%s", argv[1]);
 #endif
@@ -942,13 +950,6 @@ static void set_process_name( int argc, char *argv[] )
     if ((p = strrchr( prctl_name, '\\' ))) prctl_name = p + 1;
     if ((p = strrchr( prctl_name, '/' ))) prctl_name = p + 1;
 
-    /* Set program path for libwine-etersoft needs */
-    LOADETER_FUNC(etersoft_init);
-    LOADETER_FUNC(etersoft_version);
-    if (etersoft_init) {
-        etersoft_init(sizeof(DWORD), FILE_READ_DATA|FILE_WRITE_DATA|FILE_EXECUTE, (char*)&etersoft_version);
-        etersoft_init(2*sizeof(DWORD), FILE_READ_DATA|FILE_WRITE_DATA|FILE_EXECUTE, prctl_name);
-    }
     if (prctl( PR_SET_NAME, prctl_name ) != -1)
     {
         offset = argv[1] - argv[0];
-- 
1.6.0.2.GIT

